<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="PortableGroup_Static"
	ProjectGUID="{1BEA1478-FECA-1BAD-CD05-C0251C310431}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Static_Debug\PortableGroup_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;_DEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				ProgramDataBaseFileName="..\..\..\lib\TAO_PortableGroupsd.pdb"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\lib\TAO_PortableGroupsd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Static_Release\PortableGroup_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;NDEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="0"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\lib\TAO_PortableGroups.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="miopC.cpp">
			</File>
			<File
				RelativePath="miopS.cpp">
			</File>
			<File
				RelativePath="PortableGroup\GOA.cpp">
			</File>
			<File
				RelativePath="PortableGroup\MIOP.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Default_Property_Validator.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_FactoryRegistry.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_GenericFactory.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Group_Factory.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Group_Guard.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Location_Equal_To.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Location_Hash.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_MemberInfo.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Null_Property_Validator.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Object_Adapter_Factory.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Object_Group.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Object_Group_Manipulator.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_ObjectGroupManager.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Operators.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Properties_Encoder.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Properties_Support.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Property_Set.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Property_Utils.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_PropertyManager.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Servant_Dispatcher.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PG_Utils.cpp">
			</File>
			<File
				RelativePath="PortableGroup\Portable_Group_Map.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PortableGroup_Acceptor_Registry.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PortableGroup_Loader.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PortableGroup_ORBInitializer.cpp">
			</File>
			<File
				RelativePath="PortableGroup\PortableGroup_Request_Dispatcher.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Acceptor.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Connection_Handler.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Connector.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Endpoint.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Factory.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Message_Block_Data_Iterator.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Profile.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Transport.cpp">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Wait_Never.cpp">
			</File>
			<File
				RelativePath="PortableGroup_Simple_DSC.cpp">
			</File>
			<File
				RelativePath="PortableGroupC.cpp">
			</File>
			<File
				RelativePath="PortableGroupS.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="miopC.h">
			</File>
			<File
				RelativePath="miopS.h">
			</File>
			<File
				RelativePath="PortableGroup\GOA.h">
			</File>
			<File
				RelativePath="PortableGroup\MIOP.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Default_Property_Validator.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_FactoryRegistry.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_GenericFactory.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Group_Factory.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Group_Guard.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Location_Equal_To.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Location_Hash.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_MemberInfo.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Null_Property_Validator.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Object_Adapter_Factory.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Object_Group.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Object_Group_Manipulator.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_ObjectGroupManager.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Operators.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Properties_Encoder.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Properties_Support.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Property_Set.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Property_Utils.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_PropertyManager.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Servant_Dispatcher.h">
			</File>
			<File
				RelativePath="PortableGroup\PG_Utils.h">
			</File>
			<File
				RelativePath="PortableGroup\Portable_Group_Map.h">
			</File>
			<File
				RelativePath="PortableGroup\PortableGroup_Acceptor_Registry.h">
			</File>
			<File
				RelativePath="PortableGroup\portablegroup_export.h">
			</File>
			<File
				RelativePath="PortableGroup\PortableGroup_Loader.h">
			</File>
			<File
				RelativePath="PortableGroup\PortableGroup_ORBInitializer.h">
			</File>
			<File
				RelativePath="PortableGroup\PortableGroup_Request_Dispatcher.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Acceptor.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Connection_Handler.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Connector.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Endpoint.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Factory.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Message_Block_Data_Iterator.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Profile.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Transport.h">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Wait_Never.h">
			</File>
			<File
				RelativePath="PortableGroup_Simple_DSC.h">
			</File>
			<File
				RelativePath="PortableGroupC.h">
			</File>
			<File
				RelativePath="PortableGroupS.h">
			</File>
		</Filter>
		<Filter
			Name="Pkgconfig Files"
			Filter="in">
			<File
				RelativePath="TAO_PortableGroup.pc.in">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Idl Files"
			Filter="idl">
			<File
				RelativePath="miop.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on miop.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_PortableGroup_Export -Wb,export_include=orbsvcs/PortableGroup/portablegroup_export.h &quot;miop.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="miopC.cpp;miopC.h;miopC.inl;miopS.cpp;miopS.h;miopS.inl;miopS_T.cpp;miopS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on miop.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_PortableGroup_Export -Wb,export_include=orbsvcs/PortableGroup/portablegroup_export.h &quot;miop.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="miopC.cpp;miopC.h;miopC.inl;miopS.cpp;miopS.h;miopS.inl;miopS_T.cpp;miopS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="PortableGroup.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on PortableGroup.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_PortableGroup_Export -Wb,export_include=orbsvcs/PortableGroup/portablegroup_export.h -GC &quot;PortableGroup.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="PortableGroupC.cpp;PortableGroupC.h;PortableGroupC.inl;PortableGroupS.cpp;PortableGroupS.h;PortableGroupS.inl;PortableGroupS_T.cpp;PortableGroupS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on PortableGroup.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_PortableGroup_Export -Wb,export_include=orbsvcs/PortableGroup/portablegroup_export.h -GC &quot;PortableGroup.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="PortableGroupC.cpp;PortableGroupC.h;PortableGroupC.inl;PortableGroupS.cpp;PortableGroupS.h;PortableGroupS.inl;PortableGroupS_T.cpp;PortableGroupS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="PortableGroup_Simple_DS.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on PortableGroup_Simple_DS.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_PortableGroup_Export -Wb,export_include=orbsvcs/PortableGroup/portablegroup_export.h &quot;PortableGroup_Simple_DS.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="PortableGroup_Simple_DSC.cpp;PortableGroup_Simple_DSC.h;PortableGroup_Simple_DSC.inl;PortableGroup_Simple_DSS.inl;PortableGroup_Simple_DSS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on PortableGroup_Simple_DS.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_PortableGroup_Export -Wb,export_include=orbsvcs/PortableGroup/portablegroup_export.h &quot;PortableGroup_Simple_DS.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="PortableGroup_Simple_DSC.cpp;PortableGroup_Simple_DSC.h;PortableGroup_Simple_DSC.inl;PortableGroup_Simple_DSS.inl;PortableGroup_Simple_DSS_T.inl"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<File
				RelativePath="miopC.inl">
			</File>
			<File
				RelativePath="miopS_T.inl">
			</File>
			<File
				RelativePath="PortableGroup\PG_Location_Equal_To.inl">
			</File>
			<File
				RelativePath="PortableGroup\PG_Location_Hash.inl">
			</File>
			<File
				RelativePath="PortableGroup\PG_Properties_Encoder.inl">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Acceptor.i">
			</File>
			<File
				RelativePath="PortableGroup\UIPMC_Endpoint.i">
			</File>
			<File
				RelativePath="PortableGroup_Simple_DSC.inl">
			</File>
			<File
				RelativePath="PortableGroup_Simple_DSS_T.inl">
			</File>
			<File
				RelativePath="PortableGroupC.inl">
			</File>
			<File
				RelativePath="PortableGroupS_T.inl">
			</File>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<File
				RelativePath="miopS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="PortableGroupS_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
